Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4444)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4450)
@@ -3582,9 +3581,9 @@
                 surf_lsm_h%z0q(m)    = water_pars(ind_w_z0h,st)
                 surf_lsm_h%lambda_surface_s(m) = water_pars(ind_w_lambda_s,st)
-                surf_lsm_h%lambda_surface_u(m) = water_pars(ind_w_lambda_u,st)              
+                surf_lsm_h%lambda_surface_u(m) = water_pars(ind_w_lambda_u,st)
                 surf_lsm_h%c_surface(m)        = 0.0_wp
                 surf_lsm_h%albedo_type(m,ind_wat_win) = INT( water_pars(ind_w_at,st) )
                 surf_lsm_h%emissivity(m,ind_wat_win)  = water_pars(ind_w_emis,st)
-                
+
                 surf_lsm_h%water_type(m)      = st
                 surf_lsm_h%water_type_name(m) = water_type_name(st)
@@ -3596,8 +3595,8 @@
              DO  m = 1, surf_lsm_v(l)%ns
                 i = surf_lsm_v(l)%i(m) + MERGE( 0, surf_lsm_v(l)%ioff,         &
-                                                surf_lsm_v(l)%building_covered(m) ) 
+                                                surf_lsm_v(l)%building_covered(m) )
                 j = surf_lsm_v(l)%j(m) + MERGE( 0, surf_lsm_v(l)%joff,         &
-                                                surf_lsm_v(l)%building_covered(m) ) 
-             
+                                                surf_lsm_v(l)%building_covered(m) )
+
                 st = water_type_f%var(j,i)
                 IF ( st /= water_type_f%fill  .AND.  st /= 0 )  THEN
@@ -3610,5 +3609,5 @@
                                                    water_pars(ind_w_lambda_s,st)
                    surf_lsm_v(l)%lambda_surface_u(m) =                         &
-                                                   water_pars(ind_w_lambda_u,st)           
+                                                   water_pars(ind_w_lambda_u,st)
                    surf_lsm_v(l)%c_surface(m)     = 0.0_wp
                    surf_lsm_v(l)%albedo_type(m,ind_wat_win) =                  &
@@ -3616,5 +3615,5 @@
                    surf_lsm_v(l)%emissivity(m,ind_wat_win)  =                  &
                                                   water_pars(ind_w_emis,st)
-                                                  
+
                    surf_lsm_v(l)%water_type(m)      = st
                    surf_lsm_v(l)%water_type_name(m) = water_type_name(st)
@@ -3622,19 +3621,19 @@
              ENDDO
           ENDDO
-       ENDIF      
-
-!
-!--    Level 3, initialization of water parameters at single (x,y) 
+       ENDIF
+
+!
+!--    Level 3, initialization of water parameters at single (x,y)
 !--    position via water_pars read from file.
        IF ( water_pars_f%from_file )  THEN
 !
-!--       Horizontal surfaces 
+!--       Horizontal surfaces
           DO  m = 1, surf_lsm_h%ns
              i = surf_lsm_h%i(m)
              j = surf_lsm_h%j(m)
 !
-!--          If surface element is not a water surface and any value in 
+!--          If surface element is not a water surface and any value in
 !--          water_pars is given, neglect this information and give an
-!--          informative message that this value will not be used.   
+!--          informative message that this value will not be used.
              IF ( .NOT. surf_lsm_h%water_surface(m)  .AND.                     &
                    ANY( water_pars_f%pars_xy(:,j,i) /= water_pars_f%fill ) )  THEN
@@ -3643,5 +3642,5 @@
                               j, i, ') is not a water surface, ',              &
                               'so that information given in ',                 &
-                              'water_pars at this point is neglected.' 
+                              'water_pars at this point is neglected.'
                 CALL message( 'land_surface_model_mod', 'PA0645', 0, 0, myid, 6, 0 )
              ELSE
@@ -3667,6 +3666,6 @@
                       water_pars_f%fill )                                      &
                    surf_lsm_h%lambda_surface_u(m) =                            &
-                                        water_pars_f%pars_xy(ind_w_lambda_u,j,i)     
-       
+                                        water_pars_f%pars_xy(ind_w_lambda_u,j,i)
+
                 IF ( water_pars_f%pars_xy(ind_w_at,j,i) /=                     &
                      water_pars_f%fill )                                       &
@@ -3677,19 +3676,19 @@
                      water_pars_f%fill )                                       &
                    surf_lsm_h%emissivity(m,ind_wat_win) =                      &
-                                          water_pars_f%pars_xy(ind_w_emis,j,i)  
+                                          water_pars_f%pars_xy(ind_w_emis,j,i)
              ENDIF
           ENDDO
 !
-!--       Vertical surfaces 
+!--       Vertical surfaces
           DO  l = 0, 3
              DO  m = 1, surf_lsm_v(l)%ns
                 i = surf_lsm_v(l)%i(m) + MERGE( 0, surf_lsm_v(l)%ioff,         &
-                                                surf_lsm_v(l)%building_covered(m) ) 
+                                                surf_lsm_v(l)%building_covered(m) )
                 j = surf_lsm_v(l)%j(m) + MERGE( 0, surf_lsm_v(l)%joff,         &
-                                                surf_lsm_v(l)%building_covered(m) ) 
-!
-!--             If surface element is not a water surface and any value in 
+                                                surf_lsm_v(l)%building_covered(m) )
+!
+!--             If surface element is not a water surface and any value in
 !--             water_pars is given, neglect this information and give an
-!--             informative message that this value will not be used.   
+!--             informative message that this value will not be used.
                 IF ( .NOT. surf_lsm_v(l)%water_surface(m)  .AND.               &
                       ANY( water_pars_f%pars_xy(:,j,i) /=                      &
@@ -3699,5 +3698,5 @@
                               j, i, ') is not a water surface, ',              &
                               'so that information given in ',                 &
-                              'water_pars at this point is neglected.' 
+                              'water_pars at this point is neglected.'
                    CALL message( 'land_surface_model_mod', 'PA0645',           &
                                   0, 0, myid, 6, 0 )
@@ -3727,6 +3726,6 @@
                         water_pars_f%fill )                                    &
                       surf_lsm_v(l)%lambda_surface_u(m) =                      &
-                                      water_pars_f%pars_xy(ind_w_lambda_u,j,i)    
- 
+                                      water_pars_f%pars_xy(ind_w_lambda_u,j,i)
+
                    IF ( water_pars_f%pars_xy(ind_w_at,j,i) /=                  &
                         water_pars_f%fill )                                    &
@@ -3737,5 +3736,5 @@
                         water_pars_f%fill )                                    &
                       surf_lsm_v(l)%emissivity(m,ind_wat_win)  =               &
-                                      water_pars_f%pars_xy(ind_w_emis,j,i)  
+                                      water_pars_f%pars_xy(ind_w_emis,j,i)
                 ENDIF
              ENDDO
@@ -3745,13 +3744,13 @@
 !
 !--    Initialize pavement-type surfaces, level 1
-       IF ( pavement_type /= 0 )  THEN  
-
-!
-!--       When a pavement_type is used, overwrite a possible setting of 
+       IF ( pavement_type /= 0 )  THEN
+
+!
+!--       When a pavement_type is used, overwrite a possible setting of
 !--       the pavement depth as it is already defined by the pavement type
           pavement_depth_level = 0
 
           IF ( z0_pavement == 9999999.9_wp )  THEN
-             z0_pavement  = pavement_pars(ind_p_z0,pavement_type) 
+             z0_pavement  = pavement_pars(ind_p_z0,pavement_type)
           ENDIF
 
@@ -3759,5 +3758,5 @@
              z0h_pavement = pavement_pars(ind_p_z0h,pavement_type)
           ENDIF
-          
+
           IF ( z0q_pavement == 9999999.9_wp )  THEN
              z0q_pavement = pavement_pars(ind_p_z0h,pavement_type)
@@ -3770,12 +3769,12 @@
           IF ( pavement_heat_capacity == 9999999.9_wp )  THEN
              pavement_heat_capacity = pavement_subsurface_pars_2(0,pavement_type)
-          ENDIF   
-    
+          ENDIF
+
           IF ( albedo_type == 9999999  .AND.  albedo == 9999999.9_wp )  THEN
-             albedo_type = INT(pavement_pars(ind_p_at,pavement_type))        
-          ENDIF
-   
+             albedo_type = INT(pavement_pars(ind_p_at,pavement_type))
+          ENDIF
+
           IF ( emissivity == 9999999.9_wp )  THEN
-             emissivity = pavement_pars(ind_p_emis,pavement_type)        
+             emissivity = pavement_pars(ind_p_emis,pavement_type)
           ENDIF
 
@@ -3784,5 +3783,5 @@
 !--       lookup table.
           IF ( pavement_depth_level == 0 )  THEN
-             DO  k = nzb_soil, nzt_soil  
+             DO  k = nzb_soil, nzt_soil
                 IF ( pavement_subsurface_pars_1(k,pavement_type) == 9999999.9_wp &
                 .OR. pavement_subsurface_pars_2(k,pavement_type) == 9999999.9_wp)&
@@ -3798,5 +3797,5 @@
        ENDIF
 !
-!--    Level 1 initialization of pavement type surfaces. Horizontally 
+!--    Level 1 initialization of pavement type surfaces. Horizontally
 !--    homogeneous characteristics are assumed
        surf_lsm_h%nzt_pavement = pavement_depth_level
@@ -3809,31 +3808,31 @@
              surf_lsm_h%lambda_surface_s(m)    = pavement_heat_conduct         &
                                                   * ddz_soil(nzb_soil)         &
-                                                  * 2.0_wp    
+                                                  * 2.0_wp
              surf_lsm_h%lambda_surface_u(m)    = pavement_heat_conduct         &
                                                   * ddz_soil(nzb_soil)         &
-                                                  * 2.0_wp           
+                                                  * 2.0_wp
              surf_lsm_h%c_surface(m)           = pavement_heat_capacity        &
                                                         * dz_soil(nzb_soil)    &
-                                                        * 0.25_wp                                   
+                                                        * 0.25_wp
 
              surf_lsm_h%albedo_type(m,ind_pav_green) = albedo_type
-             surf_lsm_h%emissivity(m,ind_pav_green)  = emissivity      
-             
+             surf_lsm_h%emissivity(m,ind_pav_green)  = emissivity
+
              surf_lsm_h%pavement_type(m)      = pavement_type
              surf_lsm_h%pavement_type_name(m) = pavement_type_name(pavement_type)
-      
+
              IF ( pavement_type /= 0 )  THEN
                 DO  k = nzb_soil, surf_lsm_h%nzt_pavement(m)
                    surf_lsm_h%lambda_h_def(k,m)    =                           &
-                                     pavement_subsurface_pars_1(k,pavement_type)                       
+                                     pavement_subsurface_pars_1(k,pavement_type)
                    surf_lsm_h%rho_c_total_def(k,m) =                           &
-                                     pavement_subsurface_pars_2(k,pavement_type) 
+                                     pavement_subsurface_pars_2(k,pavement_type)
                 ENDDO
              ELSE
                 surf_lsm_h%lambda_h_def(:,m)     = pavement_heat_conduct
                 surf_lsm_h%rho_c_total_def(:,m)  = pavement_heat_capacity
-             ENDIF        
-          ENDIF
-       ENDDO                               
+             ENDIF
+          ENDIF
+       ENDDO
 
        DO  l = 0, 3
@@ -3847,15 +3846,15 @@
                 surf_lsm_v(l)%lambda_surface_s(m)    = pavement_heat_conduct   &
                                                   * ddz_soil(nzb_soil)         &
-                                                  * 2.0_wp    
+                                                  * 2.0_wp
                 surf_lsm_v(l)%lambda_surface_u(m)    = pavement_heat_conduct   &
                                                   * ddz_soil(nzb_soil)         &
-                                                  * 2.0_wp           
+                                                  * 2.0_wp
                 surf_lsm_v(l)%c_surface(m)           = pavement_heat_capacity  &
                                                         * dz_soil(nzb_soil)    &
-                                                        * 0.25_wp                                      
+                                                        * 0.25_wp
 
                 surf_lsm_v(l)%albedo_type(m,ind_pav_green) = albedo_type
                 surf_lsm_v(l)%emissivity(m,ind_pav_green)  = emissivity
-                
+
                 surf_lsm_v(l)%pavement_type(m)      = pavement_type
                 surf_lsm_v(l)%pavement_type_name(m) = pavement_type_name(pavement_type)
@@ -3864,12 +3863,12 @@
                    DO  k = nzb_soil, surf_lsm_v(l)%nzt_pavement(m)
                       surf_lsm_v(l)%lambda_h_def(k,m)    =                     &
-                                     pavement_subsurface_pars_1(k,pavement_type)                       
+                                     pavement_subsurface_pars_1(k,pavement_type)
                       surf_lsm_v(l)%rho_c_total_def(k,m) =                     &
-                                     pavement_subsurface_pars_2(k,pavement_type) 
+                                     pavement_subsurface_pars_2(k,pavement_type)
                    ENDDO
                 ELSE
                    surf_lsm_v(l)%lambda_h_def(:,m)     = pavement_heat_conduct
                    surf_lsm_v(l)%rho_c_total_def(:,m)  = pavement_heat_capacity
-                ENDIF     
+                ENDIF
              ENDIF
           ENDDO
@@ -3877,5 +3876,5 @@
 !
 !--    Level 2 initialization of pavement type surfaces via pavement_type read
-!--    from file. Pavement surfaces are initialized for each (y,x)-grid point 
+!--    from file. Pavement surfaces are initialized for each (y,x)-grid point
 !--    individually.
        IF ( pavement_type_f%from_file )  THEN
@@ -3885,10 +3884,10 @@
              i = surf_lsm_h%i(m)
              j = surf_lsm_h%j(m)
-             
+
              st = pavement_type_f%var(j,i)
              IF ( st /= pavement_type_f%fill  .AND.  st /= 0 )  THEN
 !
 !--             Determine deepmost index of pavement layer
-                DO  k = nzb_soil, nzt_soil  
+                DO  k = nzb_soil, nzt_soil
                    IF ( pavement_subsurface_pars_1(k,st) == 9999999.9_wp       &
                    .OR. pavement_subsurface_pars_2(k,st) == 9999999.9_wp)      &
@@ -3906,16 +3905,16 @@
                                               pavement_subsurface_pars_1(0,st) &
                                                   * ddz_soil(nzb_soil)         &
-                                                  * 2.0_wp    
+                                                  * 2.0_wp
                 surf_lsm_h%lambda_surface_u(m)  =                              &
                                               pavement_subsurface_pars_1(0,st) &
                                                   * ddz_soil(nzb_soil)         &
-                                                  * 2.0_wp        
+                                                  * 2.0_wp
                 surf_lsm_h%c_surface(m)         =                              &
                                                pavement_subsurface_pars_2(0,st)&
                                                         * dz_soil(nzb_soil)    &
-                                                        * 0.25_wp                               
+                                                        * 0.25_wp
                 surf_lsm_h%albedo_type(m,ind_pav_green) = INT( pavement_pars(ind_p_at,st) )
-                surf_lsm_h%emissivity(m,ind_pav_green)  = pavement_pars(ind_p_emis,st)  
-                
+                surf_lsm_h%emissivity(m,ind_pav_green)  = pavement_pars(ind_p_emis,st)
+
                 surf_lsm_h%pavement_type(m)      = st
                 surf_lsm_h%pavement_type_name(m) = pavement_type_name(st)
@@ -3923,8 +3922,8 @@
                 DO  k = nzb_soil, surf_lsm_h%nzt_pavement(m)
                    surf_lsm_h%lambda_h_def(k,m)    =                           &
-                                     pavement_subsurface_pars_1(k,pavement_type)                       
+                                     pavement_subsurface_pars_1(k,pavement_type)
                    surf_lsm_h%rho_c_total_def(k,m) =                           &
-                                     pavement_subsurface_pars_2(k,pavement_type) 
-                ENDDO   
+                                     pavement_subsurface_pars_2(k,pavement_type)
+                ENDDO
              ENDIF
           ENDDO
@@ -3934,13 +3933,13 @@
              DO  m = 1, surf_lsm_v(l)%ns
                 i = surf_lsm_v(l)%i(m) + MERGE( 0, surf_lsm_v(l)%ioff,         &
-                                                surf_lsm_v(l)%building_covered(m) ) 
+                                                surf_lsm_v(l)%building_covered(m) )
                 j = surf_lsm_v(l)%j(m) + MERGE( 0, surf_lsm_v(l)%joff,         &
-                                                surf_lsm_v(l)%building_covered(m) ) 
-             
+                                                surf_lsm_v(l)%building_covered(m) )
+
                 st = pavement_type_f%var(j,i)
                 IF ( st /= pavement_type_f%fill  .AND.  st /= 0 )  THEN
 !
 !--                Determine deepmost index of pavement layer
-                   DO  k = nzb_soil, nzt_soil  
+                   DO  k = nzb_soil, nzt_soil
                       IF ( pavement_subsurface_pars_1(k,st) == 9999999.9_wp    &
                       .OR. pavement_subsurface_pars_2(k,st) == 9999999.9_wp)   &
@@ -3957,46 +3956,46 @@
                    surf_lsm_v(l)%lambda_surface_s(m)  =                        &
                                               pavement_subsurface_pars_1(0,st) &
-                                                  * ddz_soil(nzb_soil)         & 
-                                                  * 2.0_wp    
+                                                  * ddz_soil(nzb_soil)         &
+                                                  * 2.0_wp
                    surf_lsm_v(l)%lambda_surface_u(m)  =                        &
                                               pavement_subsurface_pars_1(0,st) &
                                                   * ddz_soil(nzb_soil)         &
-                                                  * 2.0_wp     
+                                                  * 2.0_wp
 
                    surf_lsm_v(l)%c_surface(m)    =                             &
                                            pavement_subsurface_pars_2(0,st)    &
                                                         * dz_soil(nzb_soil)    &
-                                                        * 0.25_wp                                    
+                                                        * 0.25_wp
                    surf_lsm_v(l)%albedo_type(m,ind_pav_green) =                &
                                               INT( pavement_pars(ind_p_at,st) )
                    surf_lsm_v(l)%emissivity(m,ind_pav_green)  =                &
-                                              pavement_pars(ind_p_emis,st)  
-                                              
+                                              pavement_pars(ind_p_emis,st)
+
                    surf_lsm_v(l)%pavement_type(m)      = st
                    surf_lsm_v(l)%pavement_type_name(m) = pavement_type_name(st)
-                                              
+
                    DO  k = nzb_soil, surf_lsm_v(l)%nzt_pavement(m)
                       surf_lsm_v(l)%lambda_h_def(k,m)    =                     &
-                                    pavement_subsurface_pars_1(k,pavement_type)                       
+                                    pavement_subsurface_pars_1(k,pavement_type)
                       surf_lsm_v(l)%rho_c_total_def(k,m) =                     &
-                                    pavement_subsurface_pars_2(k,pavement_type) 
-                   ENDDO   
+                                    pavement_subsurface_pars_2(k,pavement_type)
+                   ENDDO
                 ENDIF
              ENDDO
           ENDDO
-       ENDIF 
-!
-!--    Level 3, initialization of pavement parameters at single (x,y) 
+       ENDIF
+!
+!--    Level 3, initialization of pavement parameters at single (x,y)
 !--    position via pavement_pars read from file.
        IF ( pavement_pars_f%from_file )  THEN
 !
-!--       Horizontal surfaces 
+!--       Horizontal surfaces
           DO  m = 1, surf_lsm_h%ns
              i = surf_lsm_h%i(m)
              j = surf_lsm_h%j(m)
 !
-!--          If surface element is not a pavement surface and any value in 
+!--          If surface element is not a pavement surface and any value in
 !--          pavement_pars is given, neglect this information and give an
-!--          informative message that this value will not be used.   
+!--          informative message that this value will not be used.
              IF ( .NOT. surf_lsm_h%pavement_surface(m)  .AND.                  &
                    ANY( pavement_pars_f%pars_xy(:,j,i) /=                      &
@@ -4006,5 +4005,5 @@
                               j, i, ') is not a pavement surface, ',           &
                               'so that information given in ',                 &
-                              'pavement_pars at this point is neglected.' 
+                              'pavement_pars at this point is neglected.'
                 CALL message( 'land_surface_model_mod', 'PA0647', 0, 0, myid, 6, 0 )
              ELSE
@@ -4026,5 +4025,5 @@
                       pavement_subsurface_pars_f%pars_xyz(ind_p_lambda_h,0,j,i)&
                                                   * ddz_soil(nzb_soil)         &
-                                                  * 2.0_wp    
+                                                  * 2.0_wp
                 ENDIF
                 IF ( pavement_subsurface_pars_f%pars_xyz(ind_p_rho_c,0,j,i) /= &
@@ -4033,5 +4032,5 @@
                       pavement_subsurface_pars_f%pars_xyz(ind_p_rho_c,0,j,i)   &
                                                   * dz_soil(nzb_soil)          &
-                                                  * 0.25_wp                                    
+                                                  * 0.25_wp
                 ENDIF
                 IF ( pavement_pars_f%pars_xy(ind_p_at,j,i) /=                  &
@@ -4043,19 +4042,19 @@
                    surf_lsm_h%emissivity(m,ind_pav_green)  =                   &
                                    pavement_pars_f%pars_xy(ind_p_emis,j,i)
-             ENDIF 
+             ENDIF
 
           ENDDO
 !
-!--       Vertical surfaces 
+!--       Vertical surfaces
           DO  l = 0, 3
              DO  m = 1, surf_lsm_v(l)%ns
                 i = surf_lsm_v(l)%i(m) + MERGE( 0, surf_lsm_v(l)%ioff,         &
-                                                surf_lsm_v(l)%building_covered(m) ) 
+                                                surf_lsm_v(l)%building_covered(m) )
                 j = surf_lsm_v(l)%j(m) + MERGE( 0, surf_lsm_v(l)%joff,         &
-                                                surf_lsm_v(l)%building_covered(m) ) 
-!
-!--             If surface element is not a pavement surface and any value in 
+                                                surf_lsm_v(l)%building_covered(m) )
+!
+!--             If surface element is not a pavement surface and any value in
 !--             pavement_pars is given, neglect this information and give an
-!--             informative message that this value will not be used.   
+!--             informative message that this value will not be used.
                 IF ( .NOT. surf_lsm_v(l)%pavement_surface(m)  .AND.            &
                       ANY( pavement_pars_f%pars_xy(:,j,i) /=                   &
@@ -4065,5 +4064,5 @@
                                  j, i, ') is not a pavement surface, ',        &
                                  'so that information given in ',              &
-                                 'pavement_pars at this point is neglected.' 
+                                 'pavement_pars at this point is neglected.'
                    CALL message( 'land_surface_model_mod', 'PA0647', 0, 0, myid, 6, 0 )
                 ELSE
@@ -4086,5 +4085,5 @@
                       pavement_subsurface_pars_f%pars_xyz(ind_p_lambda_h,0,j,i)&
                                                   * ddz_soil(nzb_soil)         &
-                                                  * 2.0_wp    
+                                                  * 2.0_wp
                    ENDIF
                    IF ( pavement_subsurface_pars_f%pars_xyz(ind_p_rho_c,0,j,i) &
@@ -4093,5 +4092,5 @@
                          pavement_subsurface_pars_f%pars_xyz(ind_p_rho_c,0,j,i)&
                                                   * dz_soil(nzb_soil)          &
-                                                  * 0.25_wp                                  
+                                                  * 0.25_wp
                    ENDIF
                    IF ( pavement_pars_f%pars_xy(ind_p_at,j,i) /=               &
@@ -4103,18 +4102,18 @@
                         pavement_pars_f%fill )                                 &
                       surf_lsm_v(l)%emissivity(m,ind_pav_green)  =             &
-                                   pavement_pars_f%pars_xy(ind_p_emis,j,i)  
-                ENDIF 
+                                   pavement_pars_f%pars_xy(ind_p_emis,j,i)
+                ENDIF
              ENDDO
           ENDDO
        ENDIF
 !
-!--    Moreover, for grid points which are flagged with pavement-type 0 or whre 
-!--    pavement_subsurface_pars_f is provided, soil heat conductivity and 
-!--    capacity are initialized with parameters given in        
-!--    pavement_subsurface_pars read from file. 
+!--    Moreover, for grid points which are flagged with pavement-type 0 or whre
+!--    pavement_subsurface_pars_f is provided, soil heat conductivity and
+!--    capacity are initialized with parameters given in
+!--    pavement_subsurface_pars read from file.
        IF ( pavement_subsurface_pars_f%from_file )  THEN
 !
-!--       Set pavement depth to nzt_soil. Please note, this is just a 
-!--       workaround at the moment. 
+!--       Set pavement depth to nzt_soil. Please note, this is just a
+!--       workaround at the moment.
           DO  m = 1, surf_lsm_h%ns
              IF ( surf_lsm_h%pavement_surface(m) )  THEN
@@ -4125,5 +4124,5 @@
                 surf_lsm_h%nzt_pavement(m) = nzt_soil
 
-                DO  k = nzb_soil, nzt_soil  
+                DO  k = nzb_soil, nzt_soil
                    surf_lsm_h%lambda_h_def(k,m) =                              &
                        pavement_subsurface_pars_f%pars_xyz(ind_p_lambda_h,k,j,i)
@@ -4139,11 +4138,11 @@
 
                    i = surf_lsm_v(l)%i(m) + MERGE( 0, surf_lsm_v(l)%ioff,      &
-                                                surf_lsm_v(l)%building_covered(m) ) 
+                                                surf_lsm_v(l)%building_covered(m) )
                    j = surf_lsm_v(l)%j(m) + MERGE( 0, surf_lsm_v(l)%joff,      &
-                                                surf_lsm_v(l)%building_covered(m) ) 
+                                                surf_lsm_v(l)%building_covered(m) )
 
                    surf_lsm_v(l)%nzt_pavement(m) = nzt_soil
 
-                   DO  k = nzb_soil, nzt_soil  
+                   DO  k = nzb_soil, nzt_soil
                       surf_lsm_v(l)%lambda_h_def(k,m) =                        &
                        pavement_subsurface_pars_f%pars_xyz(ind_p_lambda_h,k,j,i)
@@ -4161,8 +4160,8 @@
        IF (  TRIM( initializing_actions ) /= 'read_restart_data' )  THEN
 !
-!--       First, initialize soil temperature and moisture. 
-!--       According to the initialization for surface and soil parameters, 
-!--       initialize soil moisture and temperature via a level approach. This 
-!--       is to assure that all surface elements are initialized, even if 
+!--       First, initialize soil temperature and moisture.
+!--       According to the initialization for surface and soil parameters,
+!--       initialize soil moisture and temperature via a level approach. This
+!--       is to assure that all surface elements are initialized, even if
 !--       data provided from input file contains fill values at some locations.
 !--       Level 1, initialization via profiles given in parameter file
@@ -4170,5 +4169,5 @@
              IF ( surf_lsm_h%vegetation_surface(m)  .OR.                       &
                   surf_lsm_h%pavement_surface(m) )  THEN
-                DO  k = nzb_soil, nzt_soil  
+                DO  k = nzb_soil, nzt_soil
                    t_soil_h%var_2d(k,m) = soil_temperature(k)
                    m_soil_h%var_2d(k,m) = soil_moisture(k)
@@ -4181,5 +4180,5 @@
                 IF ( surf_lsm_v(l)%vegetation_surface(m)  .OR.                 &
                      surf_lsm_v(l)%pavement_surface(m) )  THEN
-                   DO  k = nzb_soil, nzt_soil  
+                   DO  k = nzb_soil, nzt_soil
                       t_soil_v(l)%var_2d(k,m) = soil_temperature(k)
                       m_soil_v(l)%var_2d(k,m) = soil_moisture(k)
@@ -4190,6 +4189,6 @@
           ENDDO
 !
-!--       Level 2 initialization of the soil, read soil properties from 
-!--       dynamic input file. 
+!--       Level 2 initialization of the soil, read soil properties from
+!--       dynamic input file.
           IF ( input_pids_dynamic )  THEN
 !
@@ -4208,18 +4207,18 @@
              ALLOCATE( vars_pids(1:num_var_pids) )
              CALL inquire_variable_names( pids_id, vars_pids )
-!           
-!--          Read vertical dimension for soil depth. 
+!
+!--          Read vertical dimension for soil depth.
              IF ( check_existence( vars_pids, 'zsoil' ) )                      &
                 CALL get_dimension_length( pids_id, init_3d%nzs, 'zsoil' )
-!           
+!
 !--          Read also the horizontal dimensions required for soil initialization.
-!--          Please note, in case of non-nested runs or in case of root domain, 
+!--          Please note, in case of non-nested runs or in case of root domain,
 !--          these data is already available, but will be read again for the sake
-!--          of clearness. 
+!--          of clearness.
              CALL get_dimension_length( pids_id, init_3d%nx, 'x'  )
              CALL get_dimension_length( pids_id, init_3d%ny, 'y'  )
-!           
+!
 !--          Check for correct horizontal and vertical dimension. Please note,
-!--          in case of non-nested runs or in case of root domain, these checks 
+!--          in case of non-nested runs or in case of root domain, these checks
 !--          are already performed
              IF ( init_3d%nx-1 /= nx  .OR.  init_3d%ny-1 /= ny )  THEN
@@ -4229,5 +4228,5 @@
                 CALL message( 'lsm_init', 'PA0543', 1, 2, 0, 6, 0 )
              ENDIF
-!           
+!
 !--          Read vertical dimensions. Later, these are required for eventual
 !--          inter- and extrapolations of the initialization data.
